<?php

Goweb::loadClass('Goweb_Db_Model');

/**
 * Goweb Sitemanager 5 Framework
 * @version    5.0.0
 * @category   Frontoffice
 * @package    Sistema
 * @subpackage Model
 * @author     I&D <dev@goweb.pt>, Pedro Pinto <ppinto@goweb.pt>
 * @copyright  2009 (c) Goweb (http://www.goweb.pt)
 */
class Sistema_Model_CmsPermissao extends Goweb_Db_Model {

    /**
     * Nome da Tabela
     *
     * @var string
     */
    protected $_table = 'sistema_cms_permissao';

    /**
     * Chave Primaria
     *
     * @var string
     */
    protected $_primary = 'id';

    /**
     * Campo que sera retornado se um
     * echo do objecto for chamado
     *
     * @var string
     */
    protected $_toString = 'pagina_id';


    /**
     * Metodo obrigatorio. Informa a definicao da tabela
     * referente ao Model em questao.
     */
    protected function _setup() {
        $this->id = $this->Auto();
        $this->perfil_id = $this->ForeignKey(array('model' => 'Sistema_Model_Perfil', 'alias' => 'perfil', 'notnull' => true, 'label' => 'Perfil' ));
        $this->pagina_id = $this->ForeignKey(array('model' => 'Cms_Model_Pagina', 'alias' => 'pagina', 'notnull' => true, 'label' => 'P&aacute;gina' ));
        $this->actualizado = $this->Datetime(array('on_update' => '_currentDatetime', 'label' => 'Actualizado em'));
        $this->criado = $this->Datetime(array('on_insert' => '_currentDatetime', 'label' => 'Criado em'));
        $this->ip = $this->IpAddress(array('on_update' => '_remoteAddress'));
    }
}